#!/bin/bash
# -- 
# skrypt automatycznie aktualizuje list developerw po pobraniu odpowiedniego pliku z cvs'a
# (c) in 2oo2 by Mariusz 'Ma-rYu-sH' Witkowski
# Licencja: GPL
# $Id: listagenerate.sh,v 1.4 2004/04/08 19:58:19 averne Exp $
# -- 

check_sys () {
   #sprawdzanie wget'a
   if ! which wget > /dev/null ; then
      echo "Musisz mie zainstalowany pakiet \"wget\" by mc uywa ten skrypt"
      exit
   fi
   if ! which sed > /dev/null ; then
      echo "Musisz mie zainstalowany pakiet \"sed\" by mc uywa ten skrypt"
      exit
   fi

}

pobierz () {
   #pobieramy plik z cvs'a
   wget -cq http://cvs.pld-linux.org/PLD-doc/organizational/list -o list
   wget -cq http://cvs.pld-linux.org`cat list | grep HREF | grep list | head -n 1 | awk -F "\"" '{print $2}'`
   rm -f list
   mv "`ls -1 --color=none list?rev*`" list.gz
   gzip -d list.gz
}

aktualizuj () {
   #aktualizacja pliku lista.h
   echo -e "static gchar *lista[] = {\n\t\"PLD was brought to you by:\",\n\t\"\"," > src/lista.h
   cat list | awk '{print "\t\""$1" "$3" "$2"\","}' >> src/lista.h
   echo -e "\t\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"," >> src/lista.h
   echo -e "\t\"Any questions ?\",\n\t\"Any suggestions ?\",\n\t\"Write mail to:\",\n\t\"\"," >> src/lista.h
   echo -e "\t\"feedback@pld-linux.org\",\n\tNULL, NULL\n};\n" >> src/lista.h
   echo -e "/*\n * Aktualizacja: `date`\n */" >> src/lista.h 
   rm -f list
}

check_sys
pobierz
aktualizuj
